# list-archetype-updates

## Purpose

Lists the versions of updated archetypes available from the Griffon standard repository

## Description

Usage:

    griffon list-archetype-updates

Lists the archetypes that are updateable from an artifact repository. Note: This command can take a while to execute depending on your internet connectivity. Typical output looks like this:

    Plugins with available updates are listed below:
    --------------------------------------------------------------------------------
    <Plugin>            <Current>           <Available>         <From>
    jumpstart           0.1                 0.1                 griffon-local

The first column contains the archetype name, the second the installed version and the last the current version. If you require more info about a archetype you can use the archetype-info command. If you wish to update a archetype you can use the archetype name and/or version in combination with the install-archetype.

> Note: If you are behind a proxy you may want to consider using the set-proxy command prior to running this command.

Options:

- `install` - Installs all available archetype updates
- `repository` - Name of an specific repository where the search will be performed. Defaults to griffon-central